# Reference: <https://postmarketos.org/devicepkg>
# Contributor: Matthias Berndt <matthias_berndt@gmx.de>
pkgname=device-htc-vision
pkgver=0.1
pkgrel=4
pkgdesc="HTC Desire Z"
url="https://github.com/postmarketOS"
arch="armhf"
license="MIT"
depends="linux-htc-vision mkbootimg postmarketos-base msm-fb-refresher"
makedepends="devicepkg-dev"
subpackages="$pkgname-nonfree-firmware:nonfree_firmware"
source="deviceinfo
	90-android.rules
	initfs-hook.sh"
options="!check !archcheck"

build() {
	devicepkg_build $startdir $pkgname
}

package() {
	devicepkg_package $startdir $pkgname
	install -D -m644 "$srcdir"/90-android.rules \
		"$pkgdir"/etc/udev/rules.d/90-android.rules
}

nonfree_firmware() {
	pkgdesc="Wifi firmware"
	depends="firmware-aosp-broadcom-wlan"
	mkdir "$subpkgdir"
}

sha512sums="0ae423f8cd8f9a20d6e8b055fbc604d2c39bb5bc4bdd701d51fc7be3f59b21eb8f96c67cc44e74993a870102a58f548a5081cbbc49d099f0c08abc1aae9dd88c  deviceinfo
d1e1da53c641aba2c0a8c5daf1438aabfe88024c940d3062a6a5e123e3c99af67e9917c60159297840aae06e6b9eaec8e050e412fc5570a525a32027665df064  90-android.rules
3ce2d134aa59677e25a160b5985c552fbf048b237169bbeb85e2b8824f734627064b51c097036db10eee0254064d45d804d17372dffcd1ba246938968fe1e225  initfs-hook.sh"
